Skip to main content
POST
Create Pinned Memory
Add a pinned memory when you want to provide a specific fact for this relationship. Tavus keeps it unchanged until you update or delete it.

Authorizations

x-api-key
string
header
required

Path Parameters

memory_store_id
string
required

Memory store identifier.

Required string length: 2 - 64
Pattern: ^m[a-z0-9]+$

Body

application/json
memory
string
required

Fact the PAL should consistently know. Up to 500 characters.

Required string length: 1 - 500
Example:

"Prefers concise answers"

Response

Pinned memory created

memory_id
string
required

Unique identifier for the pinned memory.

Example:

"pm123456789abc"

memory
string
required

Pinned fact.

Maximum string length: 500
Example:

"Prefers concise answers"

created_at
string
required

When the pinned memory was created.

Example:

"2026-08-24 12:00:00"

updated_at
string
required

When the pinned memory was last updated.

Example:

"2026-08-24 12:00:00"